LibOFX

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions

# OfxAccountInfoRequest Class Reference

An account information request. More...

Inheritance diagram for OfxAccountInfoRequest:

## Public Member Functions
| OfxAccountInfoRequest (const OfxFiLogin &fi)
| OfxAccountInfoRequest (const OfxFiLogin &fi)

## Detailed Description

An account information request.

This is an entire OFX aggregate, with all subordinate aggregates needed to log onto the OFX server of a single financial institution and download a list of all accounts for this user.

Definition at line 37 of file ofx_request_accountinfo.hh.

## Constructor & Destructor Documentation

OfxAccountInfoRequest::OfxAccountInfoRequest | ( | const OfxFiLogin & | fi | ) |

Creates the request aggregate to obtain an account list from this `fi`.

Parameters:

  fi | The information needed to log on user into one financial institution

Definition at line 75 of file ofx_request_accountinfo.cpp.

OfxAccountInfoRequest::OfxAccountInfoRequest | ( | const OfxFiLogin & | fi | ) |

Creates the request aggregate to obtain an account list from this `fi`.

Parameters:

  fi | The information needed to log on user into one financial institution

The documentation for this class was generated from the following files:

- ofx_request_accountinfo.hh
- fx-0.9.4/lib/ofx_request_accountinfo.hh
- ofx_request_accountinfo.cpp
- fx-0.9.4/lib/ofx_request_accountinfo.cpp